summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--debian/changelog5
-rw-r--r--debian/control32
-rw-r--r--debian/copyright20
-rwxr-xr-xdebian/fonts-powerline-extra.install19
-rwxr-xr-xdebian/fonts-powerline-extra.postrm45
-rwxr-xr-xdebian/fonts-powerline-extra.preinst45
-rwxr-xr-xdebian/rules4
-rw-r--r--debian/source/format1
8 files changed, 171 insertions, 0 deletions
diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..10a0d46
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,5 @@
+powerline-fonts (0~20181111-0progress6u1) fuchur-extras; urgency=low
+
+ * Initial upload to fuchur-extras.
+
+ -- Daniel Baumann <daniel.baumann@progress-linux.org> Sat, 13 Mar 2021 12:46:37 +0100
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..8c6656b
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,32 @@
+Source: powerline-fonts
+Section: restricted/fonts
+Priority: optional
+Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
+XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
+Bugs: mailto:maintainers@lists.progress-linux.org
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-exec,
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
+Homepage: https://github.com/powerline/fonts
+Vcs-Browser: https://git.progress-linux.org/packages/fuchur-extras/powerline-fonts
+Vcs-Git: https://git.progress-linux.org/packages/fuchur-extras/powerline-fonts
+
+Package: fonts-powerline-extra
+Section: restricted/fonts
+Architecture: all
+Multi-arch: foreign
+Depends:
+ console-setup-linux,
+ powerline,
+ ${misc:Depends},
+Recommends:
+ fonts-powerline,
+Description: prompt and statusline utility (symbols font for console)
+ Powerline is a statusline plugin for vim, and provides statuslines and prompts
+ for several other applications, including zsh, bash, tmux, IPython, Awesome and
+ Qtile.
+ .
+ This package contains the font which provides symbols used by Powerline for
+ tty consoles.
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..d305107
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,20 @@
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: powerline-fonts
+Upstream-Contact: n/a
+Source: https://github.com/powerline/fonts
+
+Files: *
+Copyright: n/a
+License: n/a
+
+Files: debian/*
+Copyright: 2010-2021 Daniel Baumann <daniel.baumann@progress-linux.org>
+License: PD
+
+License: PD
+ This program is free software: you have unlimited permission
+ to copy, distribute and modify it.
+ .
+ This program is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
diff --git a/debian/fonts-powerline-extra.install b/debian/fonts-powerline-extra.install
new file mode 100755
index 0000000..855b4c3
--- /dev/null
+++ b/debian/fonts-powerline-extra.install
@@ -0,0 +1,19 @@
+#!/usr/bin/dh-exec
+
+Terminus/PSF/ter-powerline-v12n.psf.gz => /usr/share/consolefonts/Lat15-Terminus12x6.psf.gz
+Terminus/PSF/ter-powerline-v14b.psf.gz => /usr/share/consolefonts/Lat15-TerminusBold14.psf.gz
+Terminus/PSF/ter-powerline-v14n.psf.gz => /usr/share/consolefonts/Lat15-Terminus14.psf.gz
+Terminus/PSF/ter-powerline-v14v.psf.gz => /usr/share/consolefonts/Lat15-TerminusBoldVGA14.psf.gz
+Terminus/PSF/ter-powerline-v16b.psf.gz => /usr/share/consolefonts/Lat15-TerminusBold16.psf.gz
+Terminus/PSF/ter-powerline-v16n.psf.gz => /usr/share/consolefonts/Lat15-Terminus16.psf.gz
+Terminus/PSF/ter-powerline-v16v.psf.gz => /usr/share/consolefonts/Lat15-TerminusBoldVGA16.psf.gz
+Terminus/PSF/ter-powerline-v20b.psf.gz => /usr/share/consolefonts/Lat15-TerminusBold20x10.psf.gz
+Terminus/PSF/ter-powerline-v20n.psf.gz => /usr/share/consolefonts/Lat15-Terminus20x10.psf.gz
+Terminus/PSF/ter-powerline-v22b.psf.gz => /usr/share/consolefonts/Lat15-TerminusBold22x11.psf.gz
+Terminus/PSF/ter-powerline-v22n.psf.gz => /usr/share/consolefonts/Lat15-Terminus22x11.psf.gz
+Terminus/PSF/ter-powerline-v24b.psf.gz => /usr/share/consolefonts/Lat15-TerminusBold24x12.psf.gz
+Terminus/PSF/ter-powerline-v24n.psf.gz => /usr/share/consolefonts/Lat15-Terminus24x12.psf.gz
+Terminus/PSF/ter-powerline-v28b.psf.gz => /usr/share/consolefonts/Lat15-TerminusBold28x14.psf.gz
+Terminus/PSF/ter-powerline-v28n.psf.gz => /usr/share/consolefonts/Lat15-Terminus28x14.psf.gz
+Terminus/PSF/ter-powerline-v32b.psf.gz => /usr/share/consolefonts/Lat15-TerminusBold32x16.psf.gz
+Terminus/PSF/ter-powerline-v32n.psf.gz => /usr/share/consolefonts/Lat15-Terminus32x16.psf.gz
diff --git a/debian/fonts-powerline-extra.postrm b/debian/fonts-powerline-extra.postrm
new file mode 100755
index 0000000..c14dfc8
--- /dev/null
+++ b/debian/fonts-powerline-extra.postrm
@@ -0,0 +1,45 @@
+#!/bin/sh
+
+set -e
+
+FILES=" Lat15-Terminus12x6.psf.gz
+ Lat15-TerminusBold14.psf.gz
+ Lat15-Terminus14.psf.gz
+ Lat15-TerminusBoldVGA14.psf.gz
+ Lat15-TerminusBold16.psf.gz
+ Lat15-Terminus16.psf.gz
+ Lat15-TerminusBoldVGA16.psf.gz
+ Lat15-TerminusBold20x10.psf.gz
+ Lat15-Terminus20x10.psf.gz
+ Lat15-TerminusBold22x11.psf.gz
+ Lat15-Terminus22x11.psf.gz
+ Lat15-TerminusBold24x12.psf.gz
+ Lat15-Terminus24x12.psf.gz
+ Lat15-TerminusBold28x14.psf.gz
+ Lat15-Terminus28x14.psf.gz
+ Lat15-TerminusBold32x16.psf.gz
+ Lat15-Terminus32x16.psf.gz"
+
+case "${1}" in
+ remove)
+ for FILE in ${FILES}
+ do
+ dpkg-divert --package fonts-powerline-extra --quiet --remove --rename --divert /usr/lib/powerline/divert/${FILE}.orig /usr/share/consolefonts/${FILE}
+ done
+
+ rmdir -p /usr/lib/powerline/divert > /dev/null 2>&1 || true
+ ;;
+
+ purge|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/fonts-powerline-extra.preinst b/debian/fonts-powerline-extra.preinst
new file mode 100755
index 0000000..e3d425c
--- /dev/null
+++ b/debian/fonts-powerline-extra.preinst
@@ -0,0 +1,45 @@
+#!/bin/sh
+
+set -e
+
+FILES=" Lat15-Terminus12x6.psf.gz
+ Lat15-TerminusBold14.psf.gz
+ Lat15-Terminus14.psf.gz
+ Lat15-TerminusBoldVGA14.psf.gz
+ Lat15-TerminusBold16.psf.gz
+ Lat15-Terminus16.psf.gz
+ Lat15-TerminusBoldVGA16.psf.gz
+ Lat15-TerminusBold20x10.psf.gz
+ Lat15-Terminus20x10.psf.gz
+ Lat15-TerminusBold22x11.psf.gz
+ Lat15-Terminus22x11.psf.gz
+ Lat15-TerminusBold24x12.psf.gz
+ Lat15-Terminus24x12.psf.gz
+ Lat15-TerminusBold28x14.psf.gz
+ Lat15-Terminus28x14.psf.gz
+ Lat15-TerminusBold32x16.psf.gz
+ Lat15-Terminus32x16.psf.gz"
+
+case "${1}" in
+ install)
+ mkdir -p /usr/lib/powerline/divert
+
+ for FILE in ${FILES}
+ do
+ dpkg-divert --package fonts-powerline-extra --quiet --add --rename --divert /usr/lib/powerline/divert/${FILE}.orig /usr/share/consolefonts/${FILE}
+ done
+ ;;
+
+ abort-upgrade|upgrade)
+
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..000210b
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,4 @@
+#!/usr/bin/make -f
+
+%:
+ dh ${@}
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)